Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc
Class RoomLockedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.muc.RoomLockedException

All Implemented Interfaces:
  Serializable

    public class RoomLockedException

extends Exception

Exception used for representing that the user can't join a room since it's been locked. A 404 error code is returned to the user that requested the invalid operation.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`RoomLockedException()`
`RoomLockedException(String msg)`
`RoomLockedException(String msg, Throwable nestedThrowable)`
`RoomLockedException(Throwable nestedThrowable)`

Method Summary
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoomLockedException

    public RoomLockedException()

### RoomLockedException

    public RoomLockedException(String msg)

### RoomLockedException

    public RoomLockedException(Throwable nestedThrowable)

### RoomLockedException

    public RoomLockedException(String msg,
                               Throwable nestedThrowable)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.